#
# spec file for package pam-laus (Version 0.77)
#
# Copyright (c) 2004 SUSE LINUX AG, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# norootforbuild
# neededforbuild  -gdbm-devel cracklib-devel db-devel laus laus-devel

BuildRequires: aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk glibc glibc-devel glibc-locale gpm grep groff gzip info insserv kbd less libacl libattr libgcc libselinux libstdc++ libxcrypt m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch permissions popt procinfo procps psmisc pwdutils rcs readline sed strace syslogd sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel autoconf automake binutils cracklib-devel db-devel gcc gdbm gettext laus laus-devel libtool perl rpm

Name:         pam-laus
License:      GPL, BSD
Group:        System/Libraries
Autoreqprov:  on
Version:      0.77
Release:      4.1
Summary:      A security tool that provides authentication for applications (with LAuS support)
Source:       Linux-PAM-%{version}.tar.bz2
Source1:      pam-docu-%{version}.tar.bz2
Source2:      securetty
Source3:      other.pamd
Source4:      pam_localuser-20020418.tar.bz2
Source5:      pam_xauth-20030724.tar.bz2
Source6:      pam_succeed_if-20030722.tar.bz2
Source7:      dlopen.sh
Patch:        Linux-PAM-CVS.diff
Patch1:       Linux-PAM-%{version}.dif
Patch2:       Linux-PAM-0.76-helper.patch
Patch3:       Linux-PAM-0.77-nodir.diff
Patch4:       pam-0.77-nroff.diff
Patch5:       pam-0.77-userdb.diff
Patch6:       pam-0.77-ldconfig-fakeroot.diff
Patch7:       pam-0.77-modules-manpages.diff
Patch8:       manualpages.diff
# from RH
Patch10:      pam-0.75-group-reinit.patch
Patch11:      pam-0.75-isa.patch
Patch12:      pam-0.77-cracklib-init.patch
Patch14:      pam-0.77-issue-heap.patch
Patch15:      pam-0.77-issue.patch
Patch16:      pam-0.77-modutil-thread.patch
Patch17:      pam-0.77-sigchld.patch
Patch18:      pam-0.77-unix-brokenshadow.patch
Patch19:      pam-0.77-unix-hpux-aging.patch
# for EAL4 (LAuS)
Patch20:      patch-Linux-PAM-0.77-laus.diff
BuildRoot:    %{_tmppath}/%{name}-%{version}-build

%description
PAM (Pluggable Authentication Modules) is a system security tool that
allows system administrators to set authentication policies without
having to recompile programs that do authentication.



Authors:
--------
    Andrew G. Morgan <morgan@linux.kernel.org>
    Alexei Nogin <alexei@nogin.dnttm.ru>
    Cristian Gafton <gafton@redhat.com>
    Dave Kinchlea <kinch@kinch.ark.com>
    Elliot Lee <sopwith@redhat.com>
    Erik Troan <ewt@redhat.com>
    Michael K. Johnson <johnsonm@redhat.com>
    Thorsten Kukuk <kukuk@suse.de>

%package devel
Summary:      A security tool that provides authentication for applications (with LAuS support)
Group:        System/Libraries
Requires:     pam = %{version} glibc-devel
Autoreqprov:  on

%description devel
PAM (Pluggable Authentication Modules) is a system security tool that
allows system administrators to set authentication policies without
having to recompile programs that do authentication.



Authors:
--------
    Andrew G. Morgan <morgan@linux.kernel.org>
    Alexei Nogin <alexei@nogin.dnttm.ru>
    Cristian Gafton <gafton@redhat.com>
    Dave Kinchlea <kinch@kinch.ark.com>
    Elliot Lee <sopwith@redhat.com>
    Erik Troan <ewt@redhat.com>
    Michael K. Johnson <johnsonm@redhat.com>
    Thorsten Kukuk <kukuk@suse.de>

%prep
%setup -q -n Linux-PAM-%{version} -a 1
%patch
%patch1
%patch2
%patch3
%patch4
%patch5
%patch6
%patch7
%patch8
%patch10 -p1
%patch11 -p1
%patch12 -p1
%patch14 -p1
%patch15 -p1
%patch16 -p1
%patch17 -p1
%patch18 -p1
%patch20 -p1
#
# Install extra PAM Modules:
#
cd modules
tar xjf %SOURCE4
tar xjf %SOURCE5
tar xjf %SOURCE6
#
# Remove the pwdb modules
#
rm -rf pam_radius pam_pwdb
cd ../..

%build
autoconf
CFLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing -Wa,--noexecstack" \
./configure \
        --prefix=/ \
        --infodir=%{_infodir} \
        --mandir=%{_mandir} \
        --libdir=/%{_lib} \
	--enable-isadir=../../%{_lib}/security \
	--enable-docdir=%{_docdir}/pam \
        --enable-securedir=/%{_lib}/security \
        --enable-static-libpam \
        --enable-fakeroot=$RPM_BUILD_ROOT
make

%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
install -d -m 755 $RPM_BUILD_ROOT/etc/pam.d
mkdir -p $RPM_BUILD_ROOT/usr/include/security
mkdir -p $RPM_BUILD_ROOT/%{_lib}/security
mkdir -p $RPM_BUILD_ROOT/sbin
install -d -m 755 $RPM_BUILD_ROOT%{_libdir}
make install
/sbin/ldconfig -n $RPM_BUILD_ROOT/%{_lib}
# Make sure every module built.
for dir in modules/pam_* ; do
if [ -d ${dir} ] ; then
        if ! ls -1 $RPM_BUILD_ROOT/%{_lib}/security/`basename ${dir}`*.so ; then
                echo ERROR `basename ${dir}` module did not build.
                exit 1
        fi
fi
done
# Check for module problems.  Specifically, check that every module we just
# installed can actually be loaded by a minimal PAM-aware application.
export LD_LIBRARY_PATH="$RPM_BUILD_ROOT/%_lib"
for module in $RPM_BUILD_ROOT/%{_lib}/security/pam*.so ; do
        if ! $RPM_SOURCE_DIR/dlopen.sh -L$RPM_BUILD_ROOT/%_lib -lpam -ldl ${module} ; then
                exit 1
        fi
done
export -n LD_LIBRARY_PATH
strip $RPM_BUILD_ROOT/sbin/* ||:
# Install documentation
make -C doc install FAKEROOT=$RPM_BUILD_ROOT
# install securetty
install -m 644 %{SOURCE2} $RPM_BUILD_ROOT/etc
%ifarch s390 s390x
echo "ttyS0" >> $RPM_BUILD_ROOT/etc/securetty
echo "ttyS1" >> $RPM_BUILD_ROOT/etc/securetty
%endif
# install other.pamd
install -m 644 %{SOURCE3} $RPM_BUILD_ROOT/etc/pam.d/other
rm $RPM_BUILD_ROOT/%{_lib}/libpam.so
ln -sf ../../%{_lib}/libpam.so.%{version} $RPM_BUILD_ROOT%{_libdir}/libpam.so
ln -sf libpam.so.%{version} $RPM_BUILD_ROOT/%{_lib}/libpam.so.0
rm $RPM_BUILD_ROOT/%{_lib}/libpamc.so
ln -sf ../../%{_lib}/libpamc.so.%{version} $RPM_BUILD_ROOT%{_libdir}/libpamc.so
ln -sf libpamc.so.%{version} $RPM_BUILD_ROOT/%{_lib}/libpamc.so.0
rm $RPM_BUILD_ROOT/%{_lib}/libpam_misc.so
ln -sf ../../%{_lib}/libpam_misc.so.%{version} $RPM_BUILD_ROOT%{_libdir}/libpam_misc.so
ln -sf libpam_misc.so.%{version} $RPM_BUILD_ROOT/%{_lib}/libpam_misc.so.0
mv -f $RPM_BUILD_ROOT/%{_lib}/libpam*.a $RPM_BUILD_ROOT%{_libdir}
#
# Install READMEs of PAM modules
#
DOC=$RPM_BUILD_ROOT%{_defaultdocdir}/pam
mkdir -p $DOC/modules
(
  cd modules;
  for i in pam_*/README ; do
    cp -fpv ${i} $DOC/modules/README.`dirname ${i}`
  done
)
#
# Install misc docu and md5.config
#
install -m 644 CHANGELOG Copyright README $DOC
cp -a pam-docu/* $DOC

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc %{_defaultdocdir}/pam
%dir /etc/pam.d
%dir /etc/security
%config /etc/pam.d/other
%config /etc/securetty
%config(noreplace) /etc/security/access.conf
%config(noreplace) /etc/security/group.conf
%config(noreplace) /etc/security/limits.conf
%config(noreplace) /etc/security/pam_env.conf
%config(noreplace) /etc/security/time.conf
%doc %{_mandir}/man3/pam*
%doc %{_mandir}/man8/pam*
%doc %{_mandir}/man8/unix_chkpwd.8*
/%{_lib}/libpam.so.0
/%{_lib}/libpam.so.%{version}
/%{_lib}/libpamc.so.0
/%{_lib}/libpamc.so.%{version}
/%{_lib}/libpam_misc.so.0
/%{_lib}/libpam_misc.so.%{version}
%dir /%{_lib}/security
/%{_lib}/security/pam_*.so
%dir /%{_lib}/security/pam_filter
/%{_lib}/security//pam_filter/upperLOWER
/sbin/pam_tally
%attr (2755,root,shadow)/sbin/unix_chkpwd

%files devel
%defattr(644,root,root,755)
%dir /usr/include/security
/usr/include/security/*.h
%{_libdir}/libpam.a
%{_libdir}/libpam.so
%{_libdir}/libpamc.a
%{_libdir}/libpamc.so
%{_libdir}/libpam_misc.a
%{_libdir}/libpam_misc.so

%changelog -n pam-laus
* Thu May 13 2004 - thomas@suse.de
- fixed typo in laus patch
* Wed May 12 2004 - thomas@suse.de
- changed laus patch to link liblaus statically (Bug #39763)
* Fri Mar 26 2004 - thomas@suse.de
- updated PDB with description and branched pam-laus-devel
* Tue Mar 23 2004 - thomas@suse.de
- added LAuS patches and make this the new pam-laus RPM
* Fri Mar 12 2004 - kukuk@suse.de
- pam_wheel: Use original getlogin again, PAM internal does not
  work without application help [Bug #35682]
* Sun Jan 18 2004 - meissner@suse.de
- We no longer have pam in the buildsystem, so we
  need some buildroot magic flags for the dlopen tests.
* Thu Jan 15 2004 - kukuk@suse.de
- Cleanup neededforbuild
* Fri Dec 05 2003 - kukuk@suse.de
- Add manual pages from SLES8
* Fri Nov 28 2003 - kukuk@suse.de
- Fix installing manual pages of modules
- Remove pthread check (db is now linked against pthread)
* Thu Nov 27 2003 - kukuk@suse.de
- Merge with current CVS
- Apply bug fixes from bugtracking system
- Build as normal user
* Fri Nov 21 2003 - kukuk@suse.de
- Compile with noexecstack
* Thu Nov 06 2003 - kukuk@suse.de
- Fix pam_securetty CVS patch
* Wed Oct 29 2003 - kukuk@suse.de
- Sync with current CVS version
* Thu Oct 02 2003 - kukuk@suse.de
- Add patch to implement "include" statement in pamd files
* Wed Sep 10 2003 - uli@suse.de
- added ttyS1 (VT220) to securetty on s390* (bug #29239)
* Mon Jul 28 2003 - kukuk@suse.de
- Apply lot of fixes for various problems
* Tue Jun 10 2003 - kukuk@suse.de
- Fix getlogin handling in pam_wheel.so
* Tue May 27 2003 - ro@suse.de
- added cracklib-devel to neededforbuild
* Thu Feb 13 2003 - kukuk@suse.de
- Update pam_localuser and pam_xauth.
* Wed Nov 13 2002 - kukuk@suse.de
- Update to Linux-PAM 0.77 (minor bug fixes and enhancemants)
* Mon Nov 11 2002 - ro@suse.de
- changed neededforbuild <sp> to <opensp>
* Sat Sep 14 2002 - ro@suse.de
- changed securetty / use extra file
* Fri Sep 13 2002 - bk@suse.de
- 390: standard console (4,64)/ttyS0 ->only ttyS0 in /etc/securetty
* Tue Aug 27 2002 - kukuk@suse.de
- Call password checking helper from pam_unix.so whenever the
  passwd field is invalid.
* Sat Aug 24 2002 - kukuk@suse.de
- Don't build ps and pdf documentation
* Fri Aug 09 2002 - kukuk@suse.de
- pam-devel requires pam [Bug #17543]
* Wed Jul 17 2002 - kukuk@suse.de
- Remove explicit requires
* Wed Jul 10 2002 - kukuk@suse.de
- Update to Linux-PAM 0.76
- Remove reentrant patch for original PAM modules (needs to be
  rewritten for new PAM version)
- Add docu in PDF format
* Thu Jul 04 2002 - kukuk@suse.de
- Fix build on different partitions
* Tue Apr 16 2002 - mmj@suse.de
- Fix to not own /usr/shar/man/man3
* Wed Mar 13 2002 - kukuk@suse.de
- Add /usr/include/security to pam-devel filelist
* Mon Feb 11 2002 - ro@suse.de
- tar option for bz2 is "j"
* Fri Jan 25 2002 - kukuk@suse.de
- Fix last pam_securetty patch
* Thu Jan 24 2002 - kukuk@suse.de
- Use reentrant getpwnam functions for most modules
- Fix unresolved symbols in pam_access and pam_userdb
* Sun Jan 20 2002 - kukuk@suse.de
- libpam_misc: Don't handle Ctrl-D as error.
* Wed Jan 16 2002 - kukuk@suse.de
- Remove SuSEconfig.pam
- Update pam_localuser and pam_xauth
- Add new READMEs about blowfish and cracklib
* Mon Nov 12 2001 - kukuk@suse.de
- Remove pam_unix.so (is part of pam-modules)
* Fri Nov 09 2001 - kukuk@suse.de
- Move extra PAM modules to separate package
- Require pam-modules package
* Fri Aug 24 2001 - kukuk@suse.de
- Move susehelp config file to susehelp package
* Mon Aug 13 2001 - ro@suse.de
- changed neededforbuild <sp_libs> to <sp-devel>
* Tue Aug 07 2001 - kukuk@suse.de
- Fixes wrong symlink handling of pam_homecheck [Bug #3905]
* Wed Jul 11 2001 - kukuk@suse.de
- Sync pam_homecheck and pam_unix2 fixes from 7.2
- Always ask for the old password if it is expired
* Sat May 05 2001 - kukuk@suse.de
- Cleanup Patches, make tar archive from extra pam modules
* Fri May 04 2001 - kukuk@suse.de
- Use LOG_NOTICE for trace option [Bug #7673]
* Thu Apr 12 2001 - kukuk@suse.de
- Linux-PAM: link pam_access against libnsl
- Add pam.conf for susehelp/pam html docu
* Tue Apr 10 2001 - kukuk@suse.de
- Linux-PAM: Update to version 0.75
* Tue Apr 03 2001 - kukuk@suse.de
- Linux-PAM: link libpam_misc against libpam [Bug #6890]
* Thu Mar 08 2001 - kukuk@suse.de
- Linux-PAM: Fix manual pages (.so reference)
- pam_pwcheck: fix Makefile
* Tue Mar 06 2001 - kukuk@suse.de
- Update for Linux-PAM 0.74
- Drop pwdb subpackage
* Tue Feb 13 2001 - kukuk@suse.de
- pam_unix2: Create temp files with permission 0600
* Tue Feb 06 2001 - ro@suse.de
- pam_issue.c: include time.h to make it compile
* Fri Jan 05 2001 - kukuk@suse.de
- Don't print error message about failed initialization from
  pam_limits with kernel 2.2 [Bug #5198]
* Thu Jan 04 2001 - kukuk@suse.de
- Adjust docu for pam_limits
* Sun Dec 17 2000 - kukuk@suse.de
- Adjust docu for pam_pwcheck
* Thu Dec 07 2000 - kukuk@suse.de
- Add fix for pam_limits from 0.73
* Thu Oct 26 2000 - kukuk@suse.de
- Add db-devel to need for build
* Fri Oct 20 2000 - kukuk@suse.de
- Don't link PAM modules against old libpam library
* Wed Oct 18 2000 - kukuk@suse.de
- Create new "devel" subpackage
* Thu Oct 12 2000 - kukuk@suse.de
- Add SuSEconfig.pam
* Tue Oct 03 2000 - kukuk@suse.de
- Fix problems with new gcc and glibc 2.2 header files
* Wed Sep 13 2000 - kukuk@suse.de
- Fix problem with passwords longer then PASS_MAX_LEN
* Wed Sep 06 2000 - kukuk@suse.de
- Add missing PAM modules to filelist
- Fix seg.fault in pam_pwcheck [BUG #3894]
- Clean spec file
* Fri Jun 23 2000 - kukuk@suse.de
- Lot of bug fixes in pam_unix2 and pam_pwcheck
- compress postscript docu
* Mon May 15 2000 - kukuk@suse.de
- Move docu to /usr/share/doc/pam
- Fix some bugs in pam_unix2 and pam_pwcheck
* Tue Apr 25 2000 - kukuk@suse.de
- Add pam_homecheck Module
* Tue Apr 25 2000 - kukuk@suse.de
- Add devfs devices to /etc/securetty
* Wed Mar 01 2000 - kukuk@suse.de
- Fix handling of changing passwords to empty one
* Tue Feb 22 2000 - kukuk@suse.de
- Set correct attr for unix_chkpwd and pwdb_chkpwd
* Tue Feb 15 2000 - kukuk@suse.de
- Update pam_pwcheck
- Update pam_unix2
* Mon Feb 07 2000 - kukuk@suse.de
- pwdb: Update to 0.61
* Thu Jan 27 2000 - kukuk@suse.de
- Add config files and README for md5 passwords
- Update pam_pwcheck
- Update pam_unix2
* Thu Jan 13 2000 - kukuk@suse.de
- Update pam_unix2
- New: pam_pwcheck
- Update to Linux-PAM 0.72
* Wed Oct 13 1999 - kukuk@suse.de
- pam_pwdb: Add security fixes from RedHat
* Mon Oct 11 1999 - kukuk@suse.de
- Update to Linux-PAM 0.70
- Update to pwdb-0.60
- Fix more pam_unix2 shadow bugs
* Fri Oct 08 1999 - kukuk@suse.de
- Add more PAM fixes
- Implement Password changing request (sp_lstchg == 0)
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Sat Sep 11 1999 - kukuk@suse.de
- Add pam_wheel to file list
- pam_wheel: Minor fixes
- pam_unix2: root is allowed to change passwords with wrong
  password aging information
* Mon Aug 30 1999 - kukuk@suse.de
- pam_unix2: Fix typo
* Thu Aug 19 1999 - kukuk@suse.de
- Linux-PAM: Update to version 0.69
* Fri Jul 16 1999 - kukuk@suse.de
- pam_unix2: Root is allowed to use the old password again.
* Tue Jul 13 1999 - kukuk@suse.de
- pam_unix2: Allow root to set an empty password.
* Sat Jul 10 1999 - kukuk@suse.de
- Add HP-UX password aging to pam_unix2.
* Wed Jul 07 1999 - kukuk@suse.de
- Don't install .cvsignore files
- Make sure, /etc/shadow has the correct rights
* Tue Jul 06 1999 - kukuk@suse.de
- Update to Linux-PAM 0.68
* Wed Jun 30 1999 - kukuk@suse.de
- pam_unix2: more bug fixes
* Tue Jun 29 1999 - kukuk@suse.de
- pam_unix2: Fix "inactive" password
* Mon Jun 28 1999 - kukuk@suse.de
- pam_warn: Add missing functions
- other.pamd: Update
- Add more doku
* Thu Jun 24 1999 - kukuk@suse.de
- Add securetty config file
- Fix Debian pam_env patch
* Mon Jun 21 1999 - kukuk@suse.de
- Update to Linux-PAM 0.67
- Add Debian pam_env patch
* Thu Jun 17 1999 - kukuk@suse.de
- pam_ftp malloc (core dump) fix
* Tue Jun 15 1999 - kukuk@suse.de
- pam_unix2 fixes
* Mon Jun 07 1999 - kukuk@suse.de
- First PAM package: pam 0.66, pwdb 0.57 and pam_unix2
